Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class MMSRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.MMSRecord

    public final class MMSRecord

extends StandardRecord

Title: MMS Record

Description: defines how many add menu and del menu options are stored in the file. Should always be set to 0 for HSSF workbooks

REFERENCE: PG 328 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`MMSRecord()`
`MMSRecord(RecordInputStream in)`

Method Summary
`byte` | `getAddMenuCount()` get number of add menu options (should be 0)
`byte` | `getDelMenuCount()` get number of add del options (should be 0)
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAddMenuCount(byte am)` set number of add menu options (set to 0)
`void` | `setDelMenuCount(byte dm)` set number of del menu options (set to 0)
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MMSRecord

    public MMSRecord()

### MMSRecord

    public MMSRecord(RecordInputStream in)

Method Detail

### setAddMenuCount

    public void setAddMenuCount(byte am)

  set number of add menu options (set to 0)

  Parameters:
    `am` - number of add menu options

### setDelMenuCount

    public void setDelMenuCount(byte dm)

  set number of del menu options (set to 0)

  Parameters:
    `dm` - number of del menu options

### getAddMenuCount

    public byte getAddMenuCount()

  get number of add menu options (should be 0)

  Returns:
    number of add menu options

### getDelMenuCount

    public byte getDelMenuCount()

  get number of add del options (should be 0)

  Returns:
    number of add menu options

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD